import Authentication, {addAuthenticationToken} from './authentication'
import {version as platformVersion} from 'zapier-platform-core'
import triggers from './triggers'

const App = {
	version: process.env.npm_package_version,
	platformVersion,

	authentication: Authentication,

	beforeRequest: [addAuthenticationToken],

	afterResponse: [],

	resources: {},

	triggers,

	searches: {},

	creates: {}
}

export default App
