import {getRestHookOperations} from '../utils'
import {getIssueSample, getUserSample} from '../utils/samples'

const ACTION_NAME = 'ADD_ASSIGNEE'

const SAMPLE = {
	user: getUserSample(),
	issue: getIssueSample()
}

export default {
	key: 'addAssignee',
	noun: 'Assignee',
	display: {
		label: 'Add Assignee in Task',
		description: 'Triggered when you add an assignee in a task.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
