import {getRestHookOperations} from '../utils'
import {getIssueSample} from '../utils/samples'

const ACTION_NAME = 'ASSIGN_EPIC_TO_ISSUE'

const SAMPLE = {
	epic: getIssueSample(),
	issue: getIssueSample()
}

export default {
	key: 'assignTaskToEpic',
	noun: 'Epic',
	display: {
		label: 'New Task in Epic',
		description: 'Triggered when you add an epic to a task.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
