import {getRestHookOperations} from '../utils'
import {getSprintSample, getIssueSample} from '../utils/samples'

const ACTION_NAME = 'ASSIGN_SPRINT_TO_ISSUE'

const SAMPLE = {
	sprint: getSprintSample(),
	issue: getIssueSample()
}

export default {
	key: 'assignTaskToSprint',
	noun: 'Sprint',
	display: {
		label: 'New Task in Sprint',
		description: 'Triggered when you add a sprint to a task.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
