import {getRestHookOperations} from '../utils'
import {getUserSample, getIssueSample} from '../utils/samples'

const ACTION_NAME = 'REMOVE_ASSIGNEE'

const SAMPLE = {
	user: getUserSample(),
	issue: getIssueSample()
}

export default {
	key: 'removeAssignee',
	noun: 'Assignee',
	display: {
		label: 'Remove Assignee in Task',
		description: 'Triggered when you remove an assignee in a task.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
