import {getRestHookOperations} from '../utils'
import {getTagSample, getIssueSample} from '../utils/samples'

const ACTION_NAME = 'UNASSIGN_TAG_FROM_ISSUE'

const SAMPLE = {
	tag: getTagSample(),
	issue: getIssueSample()
}

export default {
	key: 'unassignTaskFromTag',
	noun: 'Tag',
	display: {
		label: 'Remove Label in Task',
		description: 'Triggered when you remove a label in a task.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
