import {getRestHookOperations} from '../utils'
import {getIssueSample} from '../utils/samples'

const ACTION_NAME = 'UPDATE_DUEDATE'

const SAMPLE = getIssueSample()

export default {
	key: 'updateIssue',
	noun: 'Duedate',
	display: {
		label: 'Updated Duedate in Task',
		description: 'Triggered when you change a task duedate.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
