import {getRestHookOperations} from '../utils'
import {getPrioritySample, getIssueSample} from '../utils/samples'

const ACTION_NAME = 'UPDATE_PRIORITY'

const SAMPLE = {
	priority: getPrioritySample(),
	issue: getIssueSample()
}

export default {
	key: 'updatePriority',
	noun: 'Priority',
	display: {
		label: 'Updated Priority in Task',
		description: 'Triggered when you change a task priority.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
