import {getRestHookOperations} from '../utils'
import {getProjectSample, getIssueSample} from '../utils/samples'

const ACTION_NAME = 'ASSIGN_PROJECT_TO_ISSUE'

const SAMPLE = {
	project: getProjectSample(),
	issue: getIssueSample()
}

export default {
	key: 'assignTaskToProject',
	noun: 'Project',
	display: {
		label: 'New Task in Project',
		description: 'Triggered when you add a project to a task.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
