import {getRestHookOperations} from '../utils'
import {getTagSample, getIssueSample} from '../utils/samples'

const ACTION_NAME = 'ASSIGN_TAG_TO_ISSUE'

const SAMPLE = {
	tag: getTagSample(),
	issue: getIssueSample()
}

export default {
	key: 'assignTaskToTag',
	noun: 'Tag',
	display: {
		label: 'Add Label in Task',
		description: 'Triggered when you add a label in a task.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
