import {getRestHookOperations} from '../utils'
import {getFolderSample} from '../utils/samples'

const ACTION_NAME = 'CREATE_FOLDER'

const SAMPLE = getFolderSample()

export default {
	key: 'newFolder',
	noun: 'Folder',
	display: {
		label: 'New Folder',
		description: 'Trigger when a new folder is created.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
