import {getRestHookOperations} from '../utils'
import {getProjectSample} from '../utils/samples'

const ACTION_NAME = 'CREATE_PROJECT'

const SAMPLE = getProjectSample(true)

export default {
	key: 'newProject',
	noun: 'Project',
	display: {
		label: 'New Project',
		description: 'Trigger when a new project is created.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
