import uuid from 'uuid'
import {getRestHookOperations} from '../utils'
import {getSprintSample} from '../utils/samples'

const ACTION_NAME = 'CREATE_SPRINT'

const SAMPLE = getSprintSample(true)

export default {
	key: 'newSprint',
	noun: 'Sprint',
	display: {
		label: 'New Sprint',
		description: 'Triggers when a new sprint is created.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
