import {getRestHookOperations} from '../utils'
import {getStatusSample, getIssueSample} from '../utils/samples'

const ACTION_NAME = 'UPDATE_STATUS'

const SAMPLE = {
	status: getStatusSample(),
	issue: getIssueSample()
}

export default {
	key: 'updateStatus',
	noun: 'Status',
	display: {
		label: 'Updated Status in Task',
		description: 'Triggered when you add a project to a task.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
