import {getRestHookOperations} from '../utils'
import {getIssueSample} from '../utils/samples'

const ACTION_NAME = 'UPDATE_TITLE_OR_DESCRIPTION'

const SAMPLE = getIssueSample()

export default {
	key: 'updateTitleOrDescription',
	noun: 'Issue',
	display: {
		label: 'Updated Title or Description in Task',
		description: 'Triggered when a task title or description is updated.'
	},
	operation: getRestHookOperations(ACTION_NAME, SAMPLE)
}
